<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <h1>Sign-Up</h1>
    <form id="form">
        <label>Username
            <input type="text" id="username" /></label>
        <br>
        <label>Password
            <input type="password" id="password" /></label><br>
        <label>Team-Id
            <input id="teamId" type="text" name="teamId"></label><br>
        <button type="submit">Register</button>
    </form>
    <script>
        function submitForm(e) {
            e.preventDefault();
            e.stopPropagation();
            var valUsername = document.getElementById("username").value;
            var valPassword = document.getElementById("password").value;
            var valTeamId = document.getElementById("teamId").value;

            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange = function() {
                if (this.readyState == 4 && this.status == 200) {
                    var xhr = new XMLHttpRequest();
                    xhr.onreadystatechange = function () {
                        if (this.readyState == 4 && this.status == 200) {
                            var authorizationResponseHeader = xhr.getResponseHeader("Authorization");
                            var token = authorizationResponseHeader.split(" ")[1];
                            localStorage.setItem("token", token);
                            window.location.replace("/interface/index.html");
                        }
                    }
                    xhr.open("POST", "/login", true);
                    xhr.setRequestHeader("Content-Type", "application/json");
                    xhr.send(JSON.stringify({
                        username: valUsername,
                        password: valPassword,
                        team: {
                            id: valTeamId
                        }
                    }))
                }
            };
            xhttp.open("POST", "/api/users", true);
            xhttp.setRequestHeader("Content-Type", "application/json");
            xhttp.send(JSON.stringify({
                username: valUsername,
                password: valPassword
            }));
        }

        var form = document.getElementById("form");
        form.addEventListener("submit", submitForm);
    </script>
</body>
</html>